## org.opengis.geometry.primitive
Interface CurveBoundary

All Superinterfaces:
  Boundary, Complex, Geometry, PrimitiveBoundary, TransfiniteSet

    @UML(identifier="GM_CurveBoundary",
         specification=ISO_19107)
    public interface CurveBoundary

extends PrimitiveBoundary

The boundary of curves. A `CurveBoundary` contains two point references (start point and end point).

Since:
  GeoAPI 1.0
Version:
  ISO 19107

Method Summary
`Point` `getEndPoint()` Returns the end point.
`Point` `getStartPoint()` Returns the start point.

Methods inherited from interface Boundary
`isCycle`

Methods inherited from interface Complex
`getElements, getSubComplexes, getSuperComplexes, isMaximal`

Methods inherited from interface Geometry
`clone, distance, getBoundary, getBuffer, getCentroid, getClosure, getConvexHull, getCoordinateDimension, getCoordinateReferenceSystem, getDimension, getDistance, getEnvelope, getMaximalComplex, getMbRegion, getPrecision, getRepresentativePoint, isMutable, isSimple, toImmutable, transform, transform`

Methods inherited from interface TransfiniteSet
`contains, contains, difference, equals, intersection, intersects, symmetricDifference, union`

Method Detail

### getStartPoint

    @UML(identifier="startPoint",
         obligation=MANDATORY,
         specification=ISO_19107)
    Point getStartPoint()

  Returns the start point.

  See Also:
    `getEndPoint()`

### getEndPoint

    @UML(identifier="endPoint",
         obligation=MANDATORY,
         specification=ISO_19107)
    Point getEndPoint()

  Returns the end point.

  See Also:
    `getStartPoint()`

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.